ServerEvents.recipes(e=> {
    //网络电缆
    e.remove({output: '#xnet:cables',type: 'minecraft:crafting_shaped'})
    e.shapeless('16x xnet:netcable_blue', 
    [ 
        '#balm:blue_dyes',
        'immersiveengineering:wirecoil_electrum_ins',
        'tubesreloaded:tube',
        'enderio:conduit_binder',
    ])
    //连接器
    e.remove({output:'#xnet:connectors',type: 'minecraft:crafting_shaped'})
    e.shapeless('4x xnet:connector_blue', 
    [ 
        '#balm:blue_dyes',
        'xnet:netcable_blue',
        'tubesreloaded:tube',
        'enderio:conduit_binder',
        
    ])
    //高级连接器
     e.remove({output:'#xnet:advanced_connectors',type: 'minecraft:crafting_shaped'})
     e.shapeless('4x xnet:advanced_connector_blue', 
     [ 
         '#balm:blue_dyes',
         '#immersiveengineering:circuits/pcb',
         'create_new_age:overcharged_diamond',
         'solarcraft:energy_core',
     ])
    //控制器
    e.remove({output:'xnet:controller',type: 'minecraft:crafting_shaped'})
    e.shaped('xnet:controller',[
        'UEU', 
        'UCU', 
        'UDU'
       ], {
         U: 'create:shadow_steel',
         D: 'create:precision_mechanism',
         E: 'immersiveengineering:logic_circuit',
         C: '#industrialforegoing:machine_frame/advanced'
       })




})
    